Morpho - Bug #1286

A top-level 'Home' window that does not go away until user closes Morpho down....

01/23/2004 03:49 PM - Rick Reeves

Status: Resolved Start date: 01/23/2004
Priority: Normal Due date:

Assignee: Dan Higgins % Done: 0%
Category: morpho - general Estimated time: 0.00 hour
Target version: Postpone Spent time: 0.00 hour
Bugzilla-ld: 1286

Description

In short, have Morpho follow the 'Multiple Document Interface' (Thanks for the

metaphor, Mr. Higgins!), in which successive Datapackages inhabit separate,

closable 'documents' that are children of a parent 'master control window'.

Users have become accustomed to having this conceptual 'anchor' when using

a GUI-based software package.....

Related issues:

Is duplicate of Morpho - Bug #1280: Return to the ‘Main Morpho (blue) Screen’ Resolved 01/23/2004

History

#1 - 01/30/2004 11:12 AM - Saurabh Garg

ok

e Bug 1280 has been marked as a duplicate of this bug.

#2 - 01/30/2004 11:14 AM - Saurabh Garg

Comments for Bug 1280:

Reported in morpho-feedback-20040122.doc in /doc/devs/ by Andrea Chadden
After finishing the last screen of the Datapackage Wizard, the user should be
returned to the ‘Main Morpho (blue) Screen’, which appears to be the central

control screen for Morpho activities, or at least see some button on the new
Datapackage screen that leads the user back there

#3 - 02/10/2004 10:17 AM - Dan Higgins

Code has been changed so that the intial blue startup screen does NOT disappear
when another frame is created. Now the startup screen remains until closed by
the user.

This is not a Multiple Document Interface is the usual sense, but still gives
the user access to the intial screen.

#4 - 04/01/2004 03:10 PM - Dan Higgins

Initial Morpho screen not closed as it was before.

#5 - 03/27/2013 02:16 PM - Redmine Admin
Original Bugzilla ID was 1286
